﻿using System.Collections.Generic;
using DistributedGA.Core.Domain;

namespace DistributedGA.Core.Interface {

  public interface IPeerListManager {

    void Init(PeerInfo source, string contactServerUrl); //Registers own instance at the contact-server

    List<PeerInfo> GetPeerList(); //Recieves all peers in the network from contact-server

    void SendLogToServer(string msg);

    void Dispose();
  }
}
